TEMPLATE = app

QT += xml opengl network

unix {
  DEFINES += UNIX
  INCLUDEPATH += ${HOME}/usr/include
  LIBS += -L${HOME}/usr/lib
}

TARGET = projdesigner

LIBS += -lglut
LIBS += -L../projdesignerplugins/defaultplugin -lprojdesigner_default

INCLUDEPATH += ..

DEPENDPATH += . \
              include \
              src \
              include/gui \
              include/math \
              include/screen \
              src/gui \
              src/math \
              src/screen

INCLUDEPATH += . \
               include \
               include/math \
               include/gui \
               include/screen

HEADERS += include/gui/plugindialog.h \
           include/interfaces.h \
           include/Channel.h \
           include/Exporter.h \
           include/Frustum.h \
           include/GUIControler.h \
           include/Version.h \
           include/ProjectionModel.h \
           include/RSync.h \
           include/Scene.h \
           include/Screen.h \
           include/Warp.h \
           include/gui/Defines.h \
           include/gui/QGLViewerWidget.h \
           include/gui/QChannelManagerWidget.h \
           include/gui/QChannelWidget.h \
           include/gui/QClientWindow.h \
           include/gui/QDesignViewWidget.h \
           include/gui/QDesignViewWindow.h \
           include/gui/QPanelWidget.h \
           include/gui/QPreferenceDialog.h \
           include/gui/QProjectionMatrixWidget.h \
           include/gui/QProjectorWindow.h \
           include/gui/QSceneViewerWindow.h \
           include/gui/QSceneWidget.h \
           include/gui/QScreenWidget.h \
           include/gui/QTransformMatrixWidget.h \
           include/math/ProjectionMatrix.h \
           include/math/TransformMatrix.h \
           include/screen/ScreenBox.h \
           include/screen/ScreenDome.h \
           include/screen/ScreenModel.h \
           include/screen/ScreenPlane.h \
           include/screen/ScreenShape.h
FORMS += include/gui/qchannelmanagerwidget.ui \
         include/gui/qchannelwidget.ui \
         include/gui/qclientwindow.ui \
         include/gui/qdesignviewwindow.ui \
         include/gui/qpanelwidget.ui \
         include/gui/qpreferencedialog.ui \
         include/gui/qprojectionmatrixwidget.ui \
         include/gui/qscenewidget.ui \
         include/gui/qscreenwidget.ui \
         include/gui/qsetupdialog.ui \
         include/gui/qtransformmatrixwidget.ui

SOURCES += src/gui/plugindialog.cpp \
           main.cpp \
           src/Channel.cpp \
           src/Exporter.cpp \
           src/Frustum.cpp \
           src/GUIControler.cpp \
           src/Version.cpp \
           src/ProjectionModel.cpp \
           src/RSync.cpp \
           src/Scene.cpp \
           src/Screen.cpp \
           src/Warp.cpp \
           src/gui/Defines.cpp \
           src/gui/QGLViewerWidget.cpp \
           src/gui/QChannelManagerWidget.cpp \
           src/gui/QChannelWidget.cpp \
           src/gui/QClientWindow.cpp \
           src/gui/QDesignViewWidget.cpp \
           src/gui/QDesignViewWindow.cpp \
           src/gui/QPanelWidget.cpp \
           src/gui/QPreferenceDialog.cpp \
           src/gui/QProjectionMatrixWidget.cpp \
           src/gui/QProjectorWindow.cpp \
           src/gui/QSceneViewerWindow.cpp \
           src/gui/QSceneWidget.cpp \
           src/gui/QScreenWidget.cpp \
           src/gui/QTransformMatrixWidget.cpp \
           src/math/ProjectionMatrix.cpp \
           src/math/TransformMatrix.cpp \
           src/screen/ScreenBox.cpp \
           src/screen/ScreenDome.cpp \
           src/screen/ScreenModel.cpp \
           src/screen/ScreenPlane.cpp \
           src/screen/ScreenShape.cpp

DESTDIR=../bin/

target.path = /usr/local/bin/
INSTALLS += target


#Resource file(s)
RESOURCES += ./projdesigner.qrc
